Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk
Class MfModule

    java.lang.Object
      com.sun.cacao.agent.auth.SecureNotificationBroadcasterSupport
          com.sun.cacao.element.ElementSupport
              com.sun.cacao.container.DependenciesSupport
                  com.sun.cacao.Module
                      com.sun.mfwk.MfModule

All Implemented Interfaces:
  com.sun.cacao.element.ElementMBean, java.util.EventListener, javax.management.MBeanRegistration, com.sun.cacao.ModuleMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener

public class MfModule
extends com.sun.cacao.Module

The Java ES-MF module

Field Summary

Fields inherited from interface com.sun.cacao.ModuleMBean
`FAILOVER_MODULE_PROPERTY, TYPE`

Constructor Summary
`MfModule(com.sun.cacao.DeploymentDescriptor descriptor)` Creates a new `MfModule` instance.

Methods inherited from class com.sun.cacao.Module
`getDeploymentDescriptor, getDomainName, getName, isHealthy`

Methods inherited from class com.sun.cacao.container.DependenciesSupport
`handleNotification, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class com.sun.cacao.element.ElementSupport
`availabilityStatusSetAdd, availabilityStatusSetContains, availabilityStatusSetRemove, getAdministrativeState, getAvailabilityStatusSet, getObjectName, getOperationalState, getUsageState, lock, setAdministrativeState, setUsageState, unlock`

Methods inherited from class com.sun.cacao.agent.auth.SecureNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.cacao.element.ElementMBean
`getAdministrativeState, getAvailabilityStatusSet, getOperationalState, getUsageState, lock, unlock`

Constructor Detail

### MfModule

    public MfModule(com.sun.cacao.DeploymentDescriptor descriptor)

  Creates a new `MfModule` instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD